import _extends from "@swc/helpers/src/_extends.mjs";
import _object_without_properties from "@swc/helpers/src/_object_without_properties.mjs";
import cx from 'clsx';
import React from 'react';
import { Box } from '../Box';
import { responsive, createPrefixValueResolver } from '../utils';
export function FlexBox(props) {
    const { className , direction , align , justify , wrap  } = props, boxProps = _object_without_properties(props, [
        "className",
        "direction",
        "align",
        "justify",
        "wrap"
    ]);
    const flexDirectionClassNames = responsive(createPrefixValueResolver('flex'), direction);
    const justifyContentClassNames = responsive(createPrefixValueResolver('justify'), justify);
    const alignItemsClassNames = responsive(createPrefixValueResolver('items'), align);
    const flexWrapClassNames = responsive(createPrefixValueResolver('flex'), wrap);
    return /*#__PURE__*/ React.createElement(Box, _extends({
        className: cx('flex', flexDirectionClassNames, justifyContentClassNames, alignItemsClassNames, flexWrapClassNames, className)
    }, boxProps));
}

//# sourceMappingURL=FlexBox.js.map