import _extends from "@swc/helpers/src/_extends.mjs";
import _object_without_properties from "@swc/helpers/src/_object_without_properties.mjs";
import cx from 'clsx';
import React from 'react';
import { Box } from '../Box';
import { responsive, createPrefixValueResolver } from '../utils';
export function FlexItem(props) {
    const { className , flex , grow , shrink  } = props, boxProps = _object_without_properties(props, [
        "className",
        "flex",
        "grow",
        "shrink"
    ]);
    const flexClassNames = responsive(createPrefixValueResolver('flex'), flex);
    const flexGrowClassNames = responsive(createPrefixValueResolver('flex'), grow);
    const flexShrinkClassNames = responsive(createPrefixValueResolver('flex'), shrink);
    return /*#__PURE__*/ React.createElement(Box, _extends({
        className: cx(flexClassNames, flexGrowClassNames, flexShrinkClassNames, className)
    }, boxProps));
}

//# sourceMappingURL=FlexItem.js.map