import _object_spread from "@swc/helpers/src/_object_spread.mjs";
import _object_spread_props from "@swc/helpers/src/_object_spread_props.mjs";
import _object_without_properties from "@swc/helpers/src/_object_without_properties.mjs";
import cx from 'clsx';
import { forwardRef, createElement } from 'react';
import { responsive, createPrefixValueResolver, resolveValue } from '../utils';
import { resolveTextOverflow } from '../utils/text';
export const Input = /*#__PURE__*/ forwardRef((props, ref)=>{
    const { type ='text' , family , size , smoothing , fontStyle , weight , variantNumeric , letterSpacing , lineHeight , listStyle , listStylePosition , align , color , opacity , decoration , transform , overflow , verticalAlign , whitespace , wordBreak , placeholderColor , placeholderOpacity , className  } = props, textProps = _object_without_properties(props, [
        "type",
        "family",
        "size",
        "smoothing",
        "fontStyle",
        "weight",
        "variantNumeric",
        "letterSpacing",
        "lineHeight",
        "listStyle",
        "listStylePosition",
        "align",
        "color",
        "opacity",
        "decoration",
        "transform",
        "overflow",
        "verticalAlign",
        "whitespace",
        "wordBreak",
        "placeholderColor",
        "placeholderOpacity",
        "className"
    ]);
    return /*#__PURE__*/ createElement('input', _object_spread_props(_object_spread({
        type,
        className: cx(responsive(createPrefixValueResolver('font'), family), responsive(createPrefixValueResolver('text'), size), responsive(resolveValue, smoothing), responsive(resolveValue, fontStyle), responsive(createPrefixValueResolver('font'), weight), responsive(resolveValue, variantNumeric), responsive(createPrefixValueResolver('tracking'), letterSpacing), responsive(createPrefixValueResolver('leading'), lineHeight), responsive(createPrefixValueResolver('list'), listStyle), responsive(createPrefixValueResolver('list'), listStylePosition), responsive(createPrefixValueResolver('text'), align), responsive(createPrefixValueResolver('text'), color), responsive(createPrefixValueResolver('text-opacity'), opacity), responsive(resolveValue, decoration), responsive(resolveValue, transform), responsive(resolveTextOverflow, overflow), responsive(createPrefixValueResolver('align'), verticalAlign), responsive(createPrefixValueResolver('whitespace'), whitespace), responsive(createPrefixValueResolver('break'), wordBreak), className)
    }, textProps), {
        ref
    }));
});

//# sourceMappingURL=Input.js.map