import cx from 'clsx';
var Size;
(function(Size) {
    Size["ALL"] = '';
    Size["SMALL"] = 'sm';
    Size["MEDIUM"] = 'md';
    Size["LARGE"] = 'lg';
    Size["XLARGE"] = 'xl';
    Size["XXLARGE"] = '2xl';
})(Size || (Size = {}));
export function responsive(resolverFn, value) {
    if (value == null) return '';
    if (Array.isArray(value)) return cx(value[0] ? resolverFn(value[0]) : '', value[1] ? `${Size.SMALL}:${resolverFn(value[1])}` : '', value[2] ? `${Size.MEDIUM}:${resolverFn(value[2])}` : '', value[3] ? `${Size.LARGE}:${resolverFn(value[3])}` : '', value[4] ? `${Size.XLARGE}:${resolverFn(value[4])}` : '', value[5] ? `${Size.XXLARGE}:${resolverFn(value[5])}` : '');
    return resolverFn(value);
}

//# sourceMappingURL=responsive.js.map